! 
! ****************************************************************************
! *                                                                          *
! *  Copyright (c) 1999                                                      *
! *  by DIGITAL Equipment Corporation, Maynard, Mass.                        *
! *                                                                          *
! *  This software is furnished under a license and may be used and  copied  *
! *  only  in  accordance  with  the  terms  of  such  license and with the  *
! *  inclusion of the above copyright notice.  This software or  any  other  *
! *  copies  thereof may not be provided or otherwise made available to any  *
! *  other person.  No title to and ownership of  the  software  is  hereby  *
! *  transferred.                                                            *
! *                                                                          *
! *  The information in this software is subject to change  without  notice  *
! *  and  should  not  be  construed  as  a commitment by DIGITAL Equipment  *
! *  Corporation.                                                            *
! *                                                                          *
! *  DIGITAL assumes no responsibility for the use or  reliability  of  its  *
! *  software on equipment which is not supplied by DIGITAL.                 *
! *                                                                          *
! ****************************************************************************
 
!*** INCLUDE forompdef.f IDENT OMP1-001 ***

      interface
        subroutine omp_destroy_lock ( var )
        integer ( kind=8 ) var
        end subroutine omp_destroy_lock
      end interface

      interface
        logical ( kind=4 ) function omp_get_dynamic ( )
        end function omp_get_dynamic
      end interface

      interface
        integer ( kind=4 ) function omp_get_max_threads ( )
        end function omp_get_max_threads
      end interface

      interface
        logical ( kind=4 ) function omp_get_nested ( )
        end function omp_get_nested
      end interface

      interface
        integer ( kind=4 ) function omp_get_num_procs ( )
        end function omp_get_num_procs
      end interface

      interface
        integer ( kind=4 ) function omp_get_num_threads ( )
        end function omp_get_num_threads
      end interface

      interface
        integer ( kind=4 ) function omp_get_thread_num ( )
        end function omp_get_thread_num
      end interface

      interface
        subroutine omp_init_lock ( var )
        integer ( kind=8 ) var
        end subroutine omp_init_lock
      end interface

      interface
        logical ( kind=4 ) function omp_in_parallel ( )
        end function omp_in_parallel
      end interface

      interface
        subroutine omp_set_dynamic ( enable )
        logical ( kind=4 ) enable
        end subroutine omp_set_dynamic
      end interface

      interface
        subroutine omp_set_lock ( var )
        integer ( kind=8 ) var
        end subroutine omp_set_lock
      end interface

      interface
        subroutine omp_set_nested ( enable )
        logical ( kind=4 ) enable
        end subroutine omp_set_nested
      end interface

      interface
        subroutine omp_set_num_threads ( number_of_threads )
        integer ( kind=4 ) number_of_threads
        end subroutine omp_set_num_threads
      end interface

      interface
        logical ( kind=4 ) function omp_test_lock ( var )
        integer ( kind=8 ) var
        end function omp_test_lock
      end interface

      interface
        subroutine omp_unset_lock ( var )
        integer ( kind=8 ) var
        end subroutine omp_unset_lock
      end interface

      interface
        integer ( kind=4 ) function otsgetmaxthreads ( )
        !dec$ alias otsgetmaxthreads, '_OtsGetMaxThreads'
        end function otsgetmaxthreads
      end interface

      interface
        integer ( kind=4 ) function otsgetnumthreads ( )
        !dec$ alias otsgetnumthreads, '_OtsGetNumThreads'
        end function otsgetnumthreads
      end interface

      interface
        integer ( kind=4 ) function otsgetthreadnum ( )
        !dec$ alias otsgetthreadnum, '_OtsGetThreadNum'
        end function otsgetthreadnum
      end interface

      interface
        subroutine otsinitparallel ( nthreads, attr )
        !dec$ alias otsinitparallel, '_OtsInitParallel'
        integer ( kind=4 ) nthreads
        integer ( kind=8 ) attr
        !dec$ attributes value :: nthreads, attr
        end subroutine otsinitparallel
      end interface

      interface
        integer ( kind=4 ) function otsinparallel ( )
        !dec$ alias otsinparallel, '_OtsInParallel'
        end function otsinparallel
      end interface

      interface
        subroutine otssetnumthreads ( number_of_threads )
        !dec$ alias otssetnumthreads, '_OtsSetNumThreads'
        integer ( kind=4 ) number_of_threads
        !dec$ attributes value :: number_of_threads
        end subroutine otssetnumthreads
      end interface

      interface
        subroutine otsstopworkers ( )
        !dec$ alias otsstopworkers, '_OtsStopWorkers'
        end subroutine otsstopworkers
      end interface
